<div class="wrap">
    <h2>RatePanel API Settings</h2>
    <hr>
    <h3>API key</h3>
    <p>Please enter your API key in the text field below</p>
    <form action="options.php" method="post">
        <?php
        settings_fields('ratepanelapi_settings');
        do_settings_sections('ratepanelapi_settings');
        $ratepanelapi_key = get_option('ratepanelapi_key');
        $ratepanelapi_trigger_status = get_option('ratepanelapi_trigger_status');

        echo '<input class="regular-text code" type="text" name="ratepanelapi_key" id="ratepanelapi_key" value="' . $ratepanelapi_key . '" placeholder="Enter RatePanel API Key here"><br>';

        $curl = curl_init();
        curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
        curl_setopt($curl, CURLOPT_USERPWD, 'api:' . $ratepanelapi_key);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_URL, 'https://api.ratepanel.com/');
        $response = json_decode(curl_exec($curl));
        curl_close($curl);

        echo '<p><strong>API Key status:</strong> ';
        if(isset($response->error) && (bool) !$response->error)
            echo '<span style="color: green;">Connected to RatePanel</span>';
        elseif(empty($ratepanelapi_key))
            echo '<span style="color: red;">Please enter API key</span>';
        else
            echo '<span style="color: red;">Invalid key</span>';
        echo '</p>';

        ?>
        <hr>
        <h3>Invite on order status</h3>
        <p>Select the status a order should have before sending an invitation to the customer.</p>
        <select name="ratepanelapi_trigger_status" id="ratepanelapi_trigger_status" class="regular-select">
            <?php
            foreach(wc_get_order_statuses() as $statusKey => $statusValue)
            {
                echo '<option value="' . $statusKey . '"' . ($statusKey === $ratepanelapi_trigger_status ? ' selected="selected"' : '') . '>' . $statusValue . '</option>';
            }
            ?>
        </select>
        <hr>
        <?php submit_button(); ?>
    </form>
</div>